ICU 78.3 78.3

LocalUSimpleNumberFormatterPointer Class Reference

"Smart pointer" class; closes a USimpleNumberFormatter via usnumf_close(). More...

`#include <usimplenumberformatter.h>`

## Detailed Description

"Smart pointer" class; closes a USimpleNumberFormatter via usnumf_close().

For most methods see the LocalPointerBase base class.

Usage:

    LocalUSimpleNumberFormatterPointer uformatter(usnumf_openForLocale(...));
    // no need to explicitly call usnumf_close()

See also
  LocalPointerBase
  LocalPointer

Stable:
  ICU 73

Definition at line 275 of file usimplenumberformatter.h.

The documentation for this class was generated from the following file:

- i18n/unicode/usimplenumberformatter.h